AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Util
ThreadClass Class
ThreadClass Constructor
ThreadClass Methods
ThreadClass Properties

| ThreadClass Class

Support class used to handle threads
Inheritance Hierarchy
System
Object
AsterNET.Util
ThreadClass

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ThreadClass

    Public Class ThreadClass

    public ref class ThreadClass

    type ThreadClass =  class end

The ThreadClass type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ThreadClass | Initializes a new instance of the ThreadClass class
| ThreadClass(String) | Initializes a new instance of the Thread class.
| ThreadClass(ThreadStart) | Initializes a new instance of the Thread class.
| ThreadClass(ThreadStart, String) | Initializes a new instance of the Thread class.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Interrupt | Interrupts a thread that is in the WaitSleepJoin thread state
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Run | This method has no functionality unless the method is overridden
| Start | Causes the operating system to change the state of the current thread instance to ThreadState.Running
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| IsAlive | Gets a value indicating the execution status of the current thread
| IsBackground | Gets or sets a value indicating whether or not a thread is a background thread.
| Name | Gets or sets the name of the thread

Top
See Also

#### Reference

AsterNET.Util Namespace